language: php
php:
  - 5.3
  - 5.4
  - 5.5

branches:
  only:
    - 3.0.x
    - 3.1.x
    - master

services:
  - mysql

before_install:
  - sudo apt-get update -qq
  - sudo apt-get install -qq graphicsmagick imagemagick php5-gd ffmpeg git-core

before_script:
  - mysql -e 'create database gallery3; create database gallery3_test;'
  - cat `php --ini | grep "Loaded Configuration" | sed -e "s|.*:\s*||"` | sed -e "s/short_open_tag = Off/short_open_tag = On/ig" > `php --ini | grep "Loaded Configuration" | sed -e "s|.*:\s*||"`
  - php ./installer/index.php

script:
  - 'php index.php test'
